#include "stm32f4xx_flash.h"

//#include "stm32f407xx.h"
#include "stm32f4xx.h" // niblett


#define STM32F4xx_FLASH_SECTOR_0_START  (FLASH_BASE)
#define STM32F4xx_FLASH_SECTOR_1_START  (STM32F4xx_FLASH_SECTOR_0_START + STM32F4xx_FLASH_SECTOR_0_SIZE)
#define STM32F4xx_FLASH_SECTOR_2_START  (STM32F4xx_FLASH_SECTOR_1_START + STM32F4xx_FLASH_SECTOR_1_SIZE)
#define STM32F4xx_FLASH_SECTOR_3_START  (STM32F4xx_FLASH_SECTOR_2_START + STM32F4xx_FLASH_SECTOR_2_SIZE)
#define STM32F4xx_FLASH_SECTOR_4_START  (STM32F4xx_FLASH_SECTOR_3_START + STM32F4xx_FLASH_SECTOR_3_SIZE)
#define STM32F4xx_FLASH_SECTOR_5_START  (STM32F4xx_FLASH_SECTOR_4_START + STM32F4xx_FLASH_SECTOR_4_SIZE)
#define STM32F4xx_FLASH_SECTOR_6_START  (STM32F4xx_FLASH_SECTOR_5_START + STM32F4xx_FLASH_SECTOR_5_SIZE)
#define STM32F4xx_FLASH_SECTOR_7_START  (STM32F4xx_FLASH_SECTOR_6_START + STM32F4xx_FLASH_SECTOR_6_SIZE)
#define STM32F4xx_FLASH_SECTOR_8_START  (STM32F4xx_FLASH_SECTOR_7_START + STM32F4xx_FLASH_SECTOR_7_SIZE)
#define STM32F4xx_FLASH_SECTOR_9_START  (STM32F4xx_FLASH_SECTOR_8_START + STM32F4xx_FLASH_SECTOR_8_SIZE)
#define STM32F4xx_FLASH_SECTOR_10_START (STM32F4xx_FLASH_SECTOR_9_START + STM32F4xx_FLASH_SECTOR_9_SIZE)
#define STM32F4xx_FLASH_SECTOR_11_START (STM32F4xx_FLASH_SECTOR_10_START + STM32F4xx_FLASH_SECTOR_10_SIZE)


const FlashSector flashSectors[STM32F4xx_FLASH_NUM_SECTORS] =
{
    {  0, (uint8_t *)STM32F4xx_FLASH_SECTOR_0_START, STM32F4xx_FLASH_SECTOR_0_SIZE },
    {  1, (uint8_t *)STM32F4xx_FLASH_SECTOR_1_START, STM32F4xx_FLASH_SECTOR_1_SIZE },
    {  2, (uint8_t *)STM32F4xx_FLASH_SECTOR_2_START, STM32F4xx_FLASH_SECTOR_2_SIZE },
    {  3, (uint8_t *)STM32F4xx_FLASH_SECTOR_3_START, STM32F4xx_FLASH_SECTOR_3_SIZE },
    {  4, (uint8_t *)STM32F4xx_FLASH_SECTOR_4_START, STM32F4xx_FLASH_SECTOR_4_SIZE },
    {  5, (uint8_t *)STM32F4xx_FLASH_SECTOR_5_START, STM32F4xx_FLASH_SECTOR_5_SIZE },
    {  6, (uint8_t *)STM32F4xx_FLASH_SECTOR_6_START, STM32F4xx_FLASH_SECTOR_6_SIZE },
    {  7, (uint8_t *)STM32F4xx_FLASH_SECTOR_7_START, STM32F4xx_FLASH_SECTOR_7_SIZE },
    {  8, (uint8_t *)STM32F4xx_FLASH_SECTOR_8_START, STM32F4xx_FLASH_SECTOR_8_SIZE },
    {  9, (uint8_t *)STM32F4xx_FLASH_SECTOR_9_START, STM32F4xx_FLASH_SECTOR_9_SIZE },
    { 10, (uint8_t *)STM32F4xx_FLASH_SECTOR_10_START, STM32F4xx_FLASH_SECTOR_10_SIZE },
    { 11, (uint8_t *)STM32F4xx_FLASH_SECTOR_11_START, STM32F4xx_FLASH_SECTOR_11_SIZE },
};
